@import '../../styles/mixins.scss';

$form-width-desktop: 65%;
$form-width-mobile: 75%;
$text-field-container-min-height: 80px;
$button-min-width: 85px;

.reset-request {
  .title {
    flex: 1.5;
    width: $form-width-desktop;
    float: left;
  }

  .text { flex: 1.5;
    text-align: left;
    width: $form-width-desktop;
    padding-top: 10px;
  }

  .sent-text {
    flex: 1;
    text-align: left;
    width: $form-width-desktop;
    white-space: initial;
    word-wrap: break-word;
    padding-top: 10px;
  }

  .sent-email {
    flex: 1;
    text-align: center;
    width: $form-width-desktop;
    word-wrap: break-word;
  }

  .check {
    width: 150px;
    // Color the check mark to salmon
    filter: invert(48%) sepia(62%) saturate(480%) hue-rotate(320deg) brightness(96%) contrast(88%);
  }

  .sent-button {
    position: absolute;
    bottom: 20px;
    right: 20px;
    width: 50px;
  }

  .form {
    flex: 2.5;
    display: flex;
    width: $form-width-desktop;
    
    .email-request-field {
      flex: 0;
      min-height: $text-field-container-min-height;
    }

    .button-group {
      display: flex;
      justify-content: space-between;
      width: 60%;
      flex-wrap: wrap;
    }
  }

  .button {
    min-width: $button-min-width;
    width: 95px;
    font-weight: bold;
    align-self: flex-end;
  }

  @include mobile() {
    .title {
      flex: 0;
      width: $form-width-mobile;
    }
    .text {
      width: $form-width-mobile;
      flex: 0.4;
    }

    .sent-text {
      width: $form-width-mobile;
      flex: 0;
    }
    .sent-email {
      flex: 0;
      text-align: center;
      width: $form-width-mobile;
      padding-top: 30px;
      padding-bottom: 30px;
    }

    .form {
      width: $form-width-mobile;
      .email-request-field {
        min-height: $text-field-container-min-height;
      }

      .button-group {
        display: flex;
        width: 100%;
      }

      .button {
        margin: auto;
        width: 200px;
        margin-bottom: 20px;
      }
    }
  }
}